automake-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-commit] [SCM] GNU Automake branch, branch-1.11, updated. v1.11


From: Ralf Wildenhues
Subject: [Automake-commit] [SCM] GNU Automake branch, branch-1.11, updated. v1.11.1-109-ge298e3b
Date: Fri, 11 Jun 2010 04:46:12 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".

http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=e298e3bbc55ea2f96d2b3ddc81c3e40ea97977fb

The branch, branch-1.11 has been updated
       via  e298e3bbc55ea2f96d2b3ddc81c3e40ea97977fb (commit)
       via  861f6cb3460007a5e1504d4ee7d112cf0c54ebe5 (commit)
       via  4a09e5e9c3e5c8a5a4bdbb7d9cd24052ec018cb9 (commit)
       via  7c82407818addac2cc0eef9aece7fad27c04ad24 (commit)
      from  831a8d2161fecee3b7e764ef6881f264158a4bbe (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit e298e3bbc55ea2f96d2b3ddc81c3e40ea97977fb
Merge: 831a8d2161fecee3b7e764ef6881f264158a4bbe 
861f6cb3460007a5e1504d4ee7d112cf0c54ebe5
Author: Ralf Wildenhues <address@hidden>
Date:   Fri Jun 11 06:33:38 2010 +0200

    Merge branch 'maint' into branch-1.11

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog     |   19 ++++++++++++
 bootstrap     |   88 +++++++++++++++++++++++++++++----------------------------
 tests/defs.in |    2 +-
 3 files changed, 65 insertions(+), 44 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 020d8f6..c537294 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,22 @@
+2010-06-11  Stefano Lattarini  <address@hidden>
+
+       Improve determination of PATH separator in bootstrap script.
+       * bootstrap: Detemine what the PATH separator is the same way
+       autoconf does.
+
+       Minor improvements in bootstrap script.
+       * bootstrap: Consistently use two-spaces indentation.  Cosmetic
+       improvement to comments.
+       ($me): New variable, containing program basename.
+       Prepend it to all error messages.
+
+       Testsuite now works with BSD make in parallel mode.
+       * tests/defs.in: Unset variables __MKLVL__ and MAKE_JOBS_FIFO,
+       which are exported by BSD make when run in parallel mode, and
+       which can confuse make processes spawned by our testsuite.
+       This change fixes a lot of spurious failure when the testsuite
+       is run with BSD make in parallel mode.
+
 2010-06-09  Stefano Lattarini  <address@hidden>
 
        Modernize, improve and/or fix various test scripts.
diff --git a/bootstrap b/bootstrap
index 2a86345..7766bd3 100755
--- a/bootstrap
+++ b/bootstrap
@@ -2,9 +2,9 @@
 
 # This script helps bootstrap automake, when checked out from git.
 #
-# Copyright (C) 2002, 2003, 2004, 2007, 2008  Free Software Foundation,
-# Inc.
-# written by Pavel Roskin <address@hidden> September 2002
+# Copyright (C) 2002, 2003, 2004, 2007, 2008, 2010 Free Software
+# Foundation, Inc.
+# Originally written by Pavel Roskin <address@hidden> September 2002.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,40 +19,42 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-# Find the path separator
-echo "#! /bin/sh" >boot$$.sh
-echo  "exit 0"   >>boot$$.sh
-chmod +x boot$$.sh
-if (PATH="/nonexistent;."; boot$$.sh) >/dev/null 2>&1; then
-  PATH_SEPARATOR=';'
-else
+# Find the path separator.
+# (Snippet copied from configure's initialization in Autoconf 2.65)
+if test "${PATH_SEPARATOR+set}" != set; then
   PATH_SEPARATOR=:
+  (PATH='/bin;/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 && {
+    (PATH='/bin:/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 ||
+      PATH_SEPARATOR=';'
+  }
 fi
-rm -f boot$$.sh
 
-# Don't ignore failures
+# Don't ignore failures.
 set -e
 
+# Set program basename.
+me=`echo "$0" | sed 's,^.*/,,'`
+
 # Find perl.  Code based on Autoconf, but without non-POSIX support.
 if test -z "$PERL"; then
-       save_IFS=$IFS
-       IFS=$PATH_SEPARATOR
-       for dir in $PATH; do
-               IFS=$save_IFS
-               test -z "$dir" && dir=.
-               if test -x "$dir/perl" && test ! -d "$dir/perl"; then
-                       PERL="$dir/perl"
-                       break
-               fi
-       done
+  save_IFS=$IFS
+  IFS=$PATH_SEPARATOR
+  for dir in $PATH; do
+    IFS=$save_IFS
+    test -z "$dir" && dir=.
+    if test -x "$dir/perl" && test ! -d "$dir/perl"; then
+      PERL="$dir/perl"
+      break
+    fi
+  done
 fi
 
 if test -z "$PERL"; then
-       echo "Cannot find perl" >&2
-       exit 1
+  echo "$me: cannot find perl" >&2
+  exit 1
 fi
 
-# Variables to substitute
+# Variables to substitute.
 VERSION=`sed -ne '/AC_INIT/s/^[^[]*\[[^[]*\[\([^]]*\)\].*$/\1/p' configure.ac`
 PACKAGE=automake
 datadir=.
@@ -62,35 +64,35 @@ PERL_THREADS=0
 # uses bash, not COMMAND.COM which doesn't quote arguments properly.
 # It's not used otherwise.
 if test -n "$DJDIR"; then
-    BOOTSTRAP_SHELL=/dev/env/DJDIR/bin/bash.exe
+  BOOTSTRAP_SHELL=/dev/env/DJDIR/bin/bash.exe
 else
-    BOOTSTRAP_SHELL=/bin/sh
+  BOOTSTRAP_SHELL=/bin/sh
 fi
 
-# Read the rule for calculating APIVERSION and execute it
+# Read the rule for calculating APIVERSION and execute it.
 apiver_cmd=`sed -ne 's/\[\[/[/g;s/\]\]/]/g;/^APIVERSION=/p' configure.ac`
 eval $apiver_cmd
 
-# Sanity checks
+# Sanity checks.
 if test -z "$VERSION"; then
-       echo "Cannot find VERSION" >&2
-       exit 1
+  echo "$me: cannot find VERSION" >&2
+  exit 1
 fi
 
 if test -z "$APIVERSION"; then
-       echo "Cannot find VERSION" >&2
-       exit 1
+  echo "$me: cannot find VERSION" >&2
+  exit 1
 fi
 
-# Make a dummy versioned directory for aclocal
+# Make a dummy versioned directory for aclocal.
 rm -rf aclocal-$APIVERSION
 mkdir aclocal-$APIVERSION
 if test -d automake-$APIVERSION; then
-       find automake-$APIVERSION -exec chmod u+wx '{}' ';'
+  find automake-$APIVERSION -exec chmod u+wx '{}' ';'
 fi
 rm -rf automake-$APIVERSION
-# Can't use `ln -s lib automake-$APIVERSION',
-# that would create a lib.exe stub under DJGPP 2.03.
+# Can't use `ln -s lib automake-$APIVERSION', that would create a
+# lib.exe stub under DJGPP 2.03.
 mkdir automake-$APIVERSION
 cp -rf lib/* automake-$APIVERSION
 
@@ -111,17 +113,17 @@ dosubst ()
 }
 
 
-# Create temporary replacement for lib/Automake/Config.pm
+# Create temporary replacement for lib/Automake/Config.pm.
 dosubst automake-$APIVERSION/Automake/Config.in \
-       automake-$APIVERSION/Automake/Config.pm
+        automake-$APIVERSION/Automake/Config.pm
 
-# Create temporary replacement for aclocal
+# Create temporary replacement for aclocal.
 dosubst aclocal.in aclocal.tmp
 
-# Overwrite amversion.m4
+# Overwrite amversion.m4.
 dosubst m4/amversion.in m4/amversion.m4
 
-# Create temporary replacement for automake
+# Create temporary replacement for automake.
 dosubst automake.in automake.tmp
 
 # Create tests/parallel-tests.am.
@@ -134,7 +136,7 @@ $PERL ./aclocal.tmp -I m4
 autoconf
 $PERL ./automake.tmp
 
-# Remove temporary files and directories
+# Remove temporary files and directories.
 rm -rf aclocal-$APIVERSION automake-$APIVERSION
 rm -f aclocal.tmp automake.tmp
 rm -f lib/Automake/Config.pm
diff --git a/tests/defs.in b/tests/defs.in
index 18f2aeb..1744a07 100644
--- a/tests/defs.in
+++ b/tests/defs.in
@@ -301,7 +301,7 @@ cd ./$testSubDir
 # recursively invoked sub-make.  Any $MAKE invocation in a test is
 # conceptually an independent invocation, not part of the main
 # 'automake' build.
-unset MFLAGS MAKEFLAGS MAKELEVEL AM_MAKEFLAGS
+unset MFLAGS MAKEFLAGS AM_MAKEFLAGS MAKELEVEL __MKLVL__ MAKE_JOBS_FIFO
 # Unset verbosity flag.
 unset V
 # Also unset variables that will let `make -e install' divert


hooks/post-receive
-- 
GNU Automake



reply via email to

[Prev in Thread] Current Thread [Next in Thread]